#! /bin/sh

if [ "$2" = "val" ]; then
#    CMD="valgrind --leak-check=yes --show-reachable=yes ../ds9val"
    CMD="valgrind --leak-check=yes ../ds9val"
    XPA=ds9val
else
    CMD=../ds9
    XPA=ds9
fi

# functions

testit () {
    echo "Testing $1..."
    xpaset -p $XPA scale $1
    xpaset -p $XPA contour scale $1
    xpaset -p $XPA file $2
    xpaset -p $XPA contour yes
    read
    xpaset -p $XPA frame clear
}

echo "Starting DS9..."
if [ `xpaaccess $XPA` = no ]; then
    $CMD&

    i=1
    while [ "$i" -le 30 ]
    do
        sleep 2
        if [ `xpaaccess $XPA` = yes ]
        then
	    break
        fi

        i=`expr $i + 1`
    done
fi

echo "Setup..."
xpaset -p $XPA cmap i8
xpaset -p $XPA contour nlevels 9
xpaset -p $XPA contour color black

testit linear linear.fits
testit log pow.fits
testit pow log.fits
testit sqrt squ.fits
testit squared sqrt.fits

echo "Testing histequ..."
xpaset -p $XPA scale histequ
xpaset -p $XPA contour scale histequ
xpaset -p $XPA file linear.fits
xpaset -p $XPA contour yes
read
xpaset -p $XPA file log.fits
xpaset -p $XPA contour yes
read
xpaset -p $XPA file pow.fits
xpaset -p $XPA contour yes
read
xpaset -p $XPA file sqrt.fits
xpaset -p $XPA contour yes
read
xpaset -p $XPA file squ.fits
xpaset -p $XPA contour yes
read
xpaset -p $XPA frame clear

xpaset -p $XPA quit

